<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <select id="producto" name="producto" onchange="ShowSelected();">
        <option value="12">Texto One</option>
        <option value="13">Texto Two</option>
    </select>

    <script type="text/javascript">
        function ShowSelected()
        {
        /* Para obtener el valor */
        var cod = document.getElementById("producto").value;
        alert(cod);
         
        /* Para obtener el texto */
        var combo = document.getElementById("producto");
        var selected = combo.options[combo.selectedIndex].text;
        alert(selected);
        }
        </script>
</body>

</html>